How to fix (MAKEPKG) installation problem?

arianhosseini

New Member
Credits
0
i want install yay for download package from Aur ArchLinux I don't know what to do, thank you for guiding us
When I use the git clone and use the makepkg -si command , it gives this error

git clone https://aur.archlinux.org/yay.git
cd yay
makepkg -si

Error text:
==> ERROR: Cannot find the fakeroot binary.
==> ERROR: Cannot find the strip binary required for object file stripping.
 


Peer

Well-Known Member
Credits
337
Have you installed all needed packages to use makepkg? Look in the arch wiki to find out more.
 

wizardfromoz

Super Moderator
Staff member
Gold Supporter
Credits
1,774
g'day @arianhosseini and welcome :)

this error can occur with both yay and its predecessor yaourt.

are you using arch itself or a derivative such as manjaro?

try installing base-devel and then repeating your steps. if base-devel is already installed it will let you know.

Code:
sudo pacman -S base-devel
good luck

wizardfromoz
 


Members online


Top